# Get Crypto Currencies GET https://api-stg.transak.com/cryptocoverage/api/v1/public/crypto-currencies The Get Crypto Currencies API helps you fetch the list of supported cryptocurrencies along with high-level data, including the cryptocurrency name, symbol, and whether it is allowed for transactions. This is a public API endpoint, so no authentication is required. Reference: https://docs.transak.com/api/public/get-crypto-currencies ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: currencies-api version: 1.0.0 paths: /cryptocoverage/api/v1/public/crypto-currencies: get: operationId: get-crypto-currencies summary: Get Crypto Currencies description: >- The Get Crypto Currencies API helps you fetch the list of supported cryptocurrencies along with high-level data, including the cryptocurrency name, symbol, and whether it is allowed for transactions. This is a public API endpoint, so no authentication is required. tags: - '' responses: '200': description: Crypto currencies fetched successfully content: application/json: schema: $ref: '#/components/schemas/get-crypto-currencies_Response_200' servers: - url: https://api-stg.transak.com components: schemas: CryptocoverageApiV1PublicCryptoCurrenciesGetResponsesContentApplicationJsonSchemaResponseItemsAddressAdditionalData1: type: object properties: name: type: string display_name: type: string title: >- CryptocoverageApiV1PublicCryptoCurrenciesGetResponsesContentApplicationJsonSchemaResponseItemsAddressAdditionalData1 CryptocoverageApiV1PublicCryptoCurrenciesGetResponsesContentApplicationJsonSchemaResponseItemsAddressAdditionalData: oneOf: - type: boolean - $ref: >- #/components/schemas/CryptocoverageApiV1PublicCryptoCurrenciesGetResponsesContentApplicationJsonSchemaResponseItemsAddressAdditionalData1 description: Whether extra address details are required. title: >- CryptocoverageApiV1PublicCryptoCurrenciesGetResponsesContentApplicationJsonSchemaResponseItemsAddressAdditionalData CryptocoverageApiV1PublicCryptoCurrenciesGetResponsesContentApplicationJsonSchemaResponseItemsImage: type: object properties: large: type: string small: type: string thumb: type: string title: >- CryptocoverageApiV1PublicCryptoCurrenciesGetResponsesContentApplicationJsonSchemaResponseItemsImage CryptocoverageApiV1PublicCryptoCurrenciesGetResponsesContentApplicationJsonSchemaResponseItemsImageBk: type: object properties: large: type: string thumb: type: string small: type: string title: >- CryptocoverageApiV1PublicCryptoCurrenciesGetResponsesContentApplicationJsonSchemaResponseItemsImageBk CryptocoverageApiV1PublicCryptoCurrenciesGetResponsesContentApplicationJsonSchemaResponseItemsNetworkFiatCurrenciesNotSupportedItems: type: object properties: fiatCurrency: type: string paymentMethod: type: string title: >- CryptocoverageApiV1PublicCryptoCurrenciesGetResponsesContentApplicationJsonSchemaResponseItemsNetworkFiatCurrenciesNotSupportedItems CryptocoverageApiV1PublicCryptoCurrenciesGetResponsesContentApplicationJsonSchemaResponseItemsNetwork: type: object properties: name: type: string fiatCurrenciesNotSupported: type: array items: $ref: >- #/components/schemas/CryptocoverageApiV1PublicCryptoCurrenciesGetResponsesContentApplicationJsonSchemaResponseItemsNetworkFiatCurrenciesNotSupportedItems description: Unsupported fiat/payment method combinations for the network. chainId: type: string title: >- CryptocoverageApiV1PublicCryptoCurrenciesGetResponsesContentApplicationJsonSchemaResponseItemsNetwork CryptocoverageApiV1PublicCryptoCurrenciesGetResponsesContentApplicationJsonSchemaResponseItems: type: object properties: _id: type: string description: Unique identifier. coinId: type: string description: Internal coin identifier. address: type: string description: Currency contract address. addressAdditionalData: oneOf: - $ref: >- #/components/schemas/CryptocoverageApiV1PublicCryptoCurrenciesGetResponsesContentApplicationJsonSchemaResponseItemsAddressAdditionalData - type: 'null' description: Whether extra address details are required. createdAt: type: string description: Creation timestamp in UTC. decimals: type: integer description: Number of decimal places for token precision. image: $ref: >- #/components/schemas/CryptocoverageApiV1PublicCryptoCurrenciesGetResponsesContentApplicationJsonSchemaResponseItemsImage isAllowed: type: boolean description: Whether the cryptocurrency is supported for buy transactions. isPopular: type: boolean isStable: type: boolean description: Whether the asset is a stablecoin. name: type: string description: Currency name. roundOff: type: integer description: Decimal places used for rounding displayed amounts. symbol: type: string description: Currency symbol. isIgnorePriceVerification: type: boolean image_bk: $ref: >- #/components/schemas/CryptocoverageApiV1PublicCryptoCurrenciesGetResponsesContentApplicationJsonSchemaResponseItemsImageBk kycCountriesNotSupported: type: array items: type: string description: KYC countries where this asset is not supported. network: $ref: >- #/components/schemas/CryptocoverageApiV1PublicCryptoCurrenciesGetResponsesContentApplicationJsonSchemaResponseItemsNetwork uniqueId: type: string description: Unique identifier derived from symbol and network. tokenType: type: string description: Token classification. tokenIdentifier: description: Any type isPayInAllowed: type: boolean description: Whether the cryptocurrency is supported for sell transactions. minAmountForPayIn: type: number format: double description: Minimum pay-in amount. maxAmountForPayIn: type: number format: double description: Maximum pay-in amount. title: >- CryptocoverageApiV1PublicCryptoCurrenciesGetResponsesContentApplicationJsonSchemaResponseItems get-crypto-currencies_Response_200: type: object properties: response: type: array items: $ref: >- #/components/schemas/CryptocoverageApiV1PublicCryptoCurrenciesGetResponsesContentApplicationJsonSchemaResponseItems title: get-crypto-currencies_Response_200 ``` ## SDK Code Examples ```python Success import requests url = "https://api-stg.transak.com/cryptocoverage/api/v1/public/crypto-currencies" response = requests.get(url) print(response.json()) ``` ```javascript Success const url = 'https://api-stg.transak.com/cryptocoverage/api/v1/public/crypto-currencies'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-stg.transak.com/cryptocoverage/api/v1/public/crypto-currencies" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api-stg.transak.com/cryptocoverage/api/v1/public/crypto-currencies") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-stg.transak.com/cryptocoverage/api/v1/public/crypto-currencies") .asString(); ``` ```php Success request('GET', 'https://api-stg.transak.com/cryptocoverage/api/v1/public/crypto-currencies'); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api-stg.transak.com/cryptocoverage/api/v1/public/crypto-currencies"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://api-stg.transak.com/cryptocoverage/api/v1/public/crypto-currencies")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```